Loading...
Searching...
No Matches
OFStackLinkBase Struct Reference

non-template single linked list class, used to store elements of a stack. More...

Inheritance diagram for OFStackLinkBase:

## Public Member Functions

| OFStackLinkBase ()
| default constructor
virtual | ~OFStackLinkBase ()
| destructor

## Public Attributes

OFStackLinkBase * | next
| pointer to next entry in list

## Private Member Functions

| OFStackLinkBase (const OFStackLinkBase &)
| private undefined copy constructor
OFStackLinkBase & | operator= (const OFStackLinkBase &)
| private undefined copy assignment operator

## Detailed Description

non-template single linked list class, used to store elements of a stack.

Implicitly used by OFStack, should not be called by users.

The documentation for this struct was generated from the following file:

- ofstd/include/dcmtk/ofstd/ofstack.h

Generated on for DCMTK Version 3.7.0 by Doxygen 1.15.0